| Qore OracleSqlUtil Module Reference 1.4.3

Public Member Functions | List of all members
OracleSqlUtil::OracleCodeBase Class Reference

the base class for Oracle code objects More...

Inheritance diagram for OracleSqlUtil::OracleCodeBase:
[legend]

## Public Member Functions
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database More...

## Detailed Description

the base class for Oracle code objects

## Member Function Documentation

## ◆ constructor()

OracleSqlUtil::OracleCodeBase::constructor | ( | string | n,
|  | string | n_type,
|  | string | n_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the object
  n_type | the type of object
  n_src | the source of the object

## ◆ getCreateSql()

softlist OracleSqlUtil::OracleCodeBase::getCreateSql | ( | *hash | opt | ) |

returns a string that can be used to create the object in the database

Parameters

  opt | create options; if replace is True, then `CREATE OR REPLACE` will be used in the create statement

## ◆ getRenameSql()

softlist OracleSqlUtil::OracleCodeBase::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

returns a string that can be used to rename the object in the database

The object is renamed in place with this call

Parameters

  new_name | the new name of the object
  opt | this option is ignored